<template>
  <form action="" @submit.prevent>
    <label>Nutzlose Variable hinzufügen</label>
    <div class="input-group">
      <input type="text" class="rule-input useless-var" maxlength="1" v-model="uselessVar">
    </div>
    <label>Art der nutzlosen Variable</label>
    <div class="input-group">
      <input id="not-terminating" type="radio" name="typeOfUseless" v-model="isNotTerminating" :value="true"><label for="not-terminating">Terminiert nicht</label>
      <input id="unreachable" type="radio" name="typeOfUseless" v-model="isUnreachable" :value="true"><label for="unreachable">Ist unerreichbar</label>
    </div>
    <button class="is-elevated" @click="addUselessVar">Hinzufügen</button>
  </form>
</template>

<script>
import {inject, ref} from "vue";

export default {
  name: "UselessVarForm",
  setup() {
    const uselessVar = ref("")
    const isNotTerminating = ref(false)
    const isUnreachable = ref(false)

    const toggleModal = inject('toggleModal')

    const column = inject('col')

    const addUselessVar = () => {
        column.value.uselessVars.push({
          symbol: uselessVar.value,
          isNotTerminating: isNotTerminating.value,
          isUnreachable: isUnreachable.value
        })
        toggleModal()
    }

    return {
      uselessVar,
      addUselessVar,
      isNotTerminating,
      isUnreachable
    }
  }
}
</script>

<style scoped>

</style>